package com.bytedance.common.jato.boost;

import X.C09567tz;
import android.os.Handler;
import android.os.Looper;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class ThreadBoostManager {
    static {
        Covode.recordClassIndex(24706);
    }

    public static native void maskMemoryInfo();

    public static boolean loadLibrary() {
        return C09567tz.LIZ();
    }

    public static void delayMaskMemoryInfo() {
        if (loadLibrary()) {
            new Handler(Looper.getMainLooper()).postDelayed(new Runnable() {
                static {
                    Covode.recordClassIndex(24707);
                }

                public final void run() {
                    new Thread(new Runnable() {
                        static {
                            Covode.recordClassIndex(24708);
                        }

                        public final void run() {
                            MethodCollector.i(12946);
                            ThreadBoostManager.maskMemoryInfo();
                            MethodCollector.o(12946);
                        }
                    }).start();
                }
            }, 10000);
        }
    }
}
